//
//  RWTMyScene.m
//  LevelSelector
//
//  Created by Main Account on 5/5/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTMyScene.h"
#import "RWTLevelSelectScene.h"
#import "RWTMyScene.h"
#import "RWTViewController.h"

@interface RWTMyScene()
@property (weak, nonatomic) RWTViewController *vc;
@end

@implementation RWTMyScene

-(id)initWithSize:(CGSize)size levelNum:(NSInteger)levelNum vc:(RWTViewController *)vc {
  if (self = [super initWithSize:size]) {
    
    _vc = vc;
    _levelNum = levelNum;
    self.backgroundColor = [SKColor colorWithRed:0.15 green:0.15 blue:0.3 alpha:1.0];
    
    SKLabelNode *myLabel = [SKLabelNode labelNodeWithFontNamed:@"Chalkduster"];
    
    myLabel.text = [NSString stringWithFormat:@"Hello, Level %ld!", (unsigned long) _levelNum];
    myLabel.fontSize = 30;
    myLabel.position = CGPointMake(CGRectGetMidX(self.frame),
                                   CGRectGetMidY(self.frame));
    
    [self addChild:myLabel];
  }
  return self;
}

- (void)handleTap:(UITapGestureRecognizer *)recognizer {
  RWTLevelSelectScene *myScene = [[RWTLevelSelectScene alloc] initWithSize:self.size vc:self.vc];
  SKTransition *reveal = [SKTransition flipHorizontalWithDuration:0.5];
  [self.view presentScene:myScene transition:reveal];
}

@end
